# Class SpecificToolChoice

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the specific tool choice mode.

    public class SpecificToolChoice : ToolChoice

Inheritance
  object
  ToolChoice
  SpecificToolChoice

Inherited Members
  ToolChoice.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### SpecificToolChoice(string)

Initializes a new instance of the SpecificToolChoice class.

    public SpecificToolChoice(string name)

#### Parameters

`name` string

  The name of the tool.

#### Exceptions

ArgumentNullException

  Thrown when the name is null.

## Properties

### Name

Gets the name of the tool.

    public string Name { get; init; }

#### Property Value

string